Bug 737505 - Can't start liveusb-creator under non en locale due to TypeError: category LC_ALL is not supported
Can't start liveusb-creator under non en locale due to TypeError: category LC...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-12 07:20 EDT by Tobias Mueller
Modified: 2016-09-19 22:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:02:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tobias Mueller 2011-09-12 07:20:17 EDT
Description of problem:
muelli@bigbox /tmp $ sudo liveusb-creator
Traceback (most recent call last):
  File "/usr/sbin/liveusb-creator", line 89, in <module>
    main()
  File "/usr/sbin/liveusb-creator", line 82, in main
    from liveusb.gui import LiveUSBApp
  File "/usr/lib/python2.7/site-packages/liveusb/__init__.py", line 28, in <module>
    lang=locale.getlocale(locale.LC_ALL)[0]
  File "/usr/lib64/python2.7/locale.py", line 514, in getlocale
    raise TypeError, 'category LC_ALL is not supported'
TypeError: category LC_ALL is not supported
muelli@bigbox /tmp $ LC_ALL=C sudo liveusb-creator
Traceback (most recent call last):
  File "/usr/sbin/liveusb-creator", line 89, in <module>
    main()
  File "/usr/sbin/liveusb-creator", line 82, in main
    from liveusb.gui import LiveUSBApp
  File "/usr/lib/python2.7/site-packages/liveusb/__init__.py", line 29, in <module>
    os.environ['LANG'] = lang
  File "/usr/lib64/python2.7/os.py", line 471, in __setitem__
    putenv(key, item)
TypeError: must be string, not None
muelli@bigbox /tmp $ LC_ALL=POSIX sudo liveusb-creator
Traceback (most recent call last):
  File "/usr/sbin/liveusb-creator", line 89, in <module>
    main()
  File "/usr/sbin/liveusb-creator", line 82, in main
    from liveusb.gui import LiveUSBApp
  File "/usr/lib/python2.7/site-packages/liveusb/__init__.py", line 29, in <module>
    os.environ['LANG'] = lang
  File "/usr/lib64/python2.7/os.py", line 471, in __setitem__
    putenv(key, item)
TypeError: must be string, not None
muelli@bigbox /tmp $ locale
LANG=de_DE.utf8
LC_CTYPE=de_DE.utf8
LC_NUMERIC=de_DE.utf8
LC_TIME=de_DE.utf8
LC_COLLATE=de_DE.utf8
LC_MONETARY=de_DE.utf8
LC_MESSAGES=en_US.utf8
LC_PAPER=de_DE.utf8
LC_NAME=de_DE.utf8
LC_ADDRESS=de_DE.utf8
LC_TELEPHONE=de_DE.utf8
LC_MEASUREMENT=de_DE.utf8
LC_IDENTIFICATION=de_DE.utf8
LC_ALL=
muelli@bigbox /tmp $ LC_ALL=en_GB.utf8 sudo liveusb-creator
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 586, in msg_reply_handler
    reply_handler(*message.get_args_list(**get_args_opts))
  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 517, in handle_reply
    raise LiveUSBError(_("Unable to find any USB drives"))
liveusb.creator.LiveUSBError: Unable to find any USB drives



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Greg K Nicholson 2012-03-10 09:20:47 EST
This also affects en-GB locale:

$ sudo liveusb-creator 
[sudo] password for greg: 
Traceback (most recent call last):
  File "/usr/sbin/liveusb-creator", line 89, in <module>
    main()
  File "/usr/sbin/liveusb-creator", line 82, in main
    from liveusb.gui import LiveUSBApp
  File "/usr/lib/python2.7/site-packages/liveusb/__init__.py", line 28, in <module>
    lang=locale.getlocale(locale.LC_ALL)[0]
  File "/usr/lib/python2.7/locale.py", line 514, in getlocale
    raise TypeError, 'category LC_ALL is not supported'
TypeError: category LC_ALL is not supported
Comment 2 Mildred 2013-02-05 10:42:34 EST
Workaround: LC_ALL=en_US.UTF8 liveusb-creator
Comment 3 Fedora End Of Life 2013-07-03 19:54:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 23:02:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.